
#include <dpf.h>
#include <dtk/dtkDSO_loader.h>

// DSO to set graphics to use one asymmetric window


/*************** DTK C++ DSO loader/unloader functions ***********/
/*
 * All DTK DSO files are required to declare these two functions.
 * These function are called by the loading program to get your
 * C++ objects loaded.
 *
 *****************************************************************/

static dtkAugment *dtkDSO_loader(dtkManager *manager, void *p)
{
  dpf *app = static_cast<dpf *>(manager);
  dpfDisplay *display = app->display();
  if(display == NULL) return DTKDSO_LOAD_ERROR;

  dpfPipe *pipe ;
  dpfPwin *pwin ;
  dpfScreen *screen ;

  if (display->pipes(1))return DTKDSO_LOAD_ERROR;

  pipe = display->first() ;
  pipe->pwins(1) ;

  pwin = pipe->first() ;
  pwin->fullScreen(1) ;
  pwin->noBorder(1) ;
  pwin->stereo(1) ;

  pwin->screens(1) ;

  screen = pwin->first() ;

  screen->simpleFrustum(1) ;
  return DTKDSO_LOAD_UNLOAD;
}

static int dtkDSO_unloader(dtkAugment *augment)
{
  return DTKDSO_UNLOAD_CONTINUE;
}


